NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Preferences.PartDrafting Class Reference

Represents the set of drafting preferences applicable to part More...

Inheritance diagram for NXOpen.Preferences.PartDrafting:
NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BreakLineStyle {
  Existing, Simple, Straight, Sawtooth,
  LongBreak, Tubular, SolidTubular, SolidRod,
  Jigsaw, Wood
}
 Describes the available break line style More...
 
enum  FontType {
  Original, Invisible, Solid, Dashed,
  Phantom, Centerline, Dotted, LongDashed,
  DottedDashed
}
 Describes the available font types More...
 
enum  UpdateViewWithoutLwDataOption { Ignore, Notify, DoNotNotify, Generate }
 Describes the update view without light weight data options More...
 
enum  ViewStyleType { Border, Wireframe, HiddenWireframe, Shaded }
 Describes the available view style types for preview More...
 
enum  WidthType {
  Original, Thin, Normal, Thick,
  ThicknessOne = 5, ThicknessTwo, ThicknessThree, ThicknessFour,
  ThicknessFive, ThicknessSix, ThicknessSeven, ThicknessEight,
  ThicknessNine
}
 Describes the available width types More...
 

Properties

unsafe NXOpen.NXColor ActiveViewColor [get, set]
 Returns or sets the drafting active view color. More...
 
unsafe bool AssociativeAlignment [get, set]
 Returns or sets the flag indicating whether to associatively align the view when placing it More...
 
unsafe int BorderColor [get, set]
 Returns or sets the drafting view border color. More...
 
unsafe double BreakLineAmplitude [get, set]
 Returns or sets the break line amplitude. More...
 
unsafe NXOpen.NXColor BreakLineColor [get, set]
 Returns or sets the break line color. More...
 
unsafe double BreakLineExtension [get, set]
 Returns or sets More...
 
unsafe double BreakLineGap [get, set]
 Returns or sets the break line gap. More...
 
unsafe bool BreakLinesVisibility [get, set]
 Returns or sets the break lines visibility. More...
 
unsafe
NXOpen.Preferences.PartDrafting.BreakLineStyle 
BreakLineType [get, set]
 Returns or sets the break line type. More...
 
unsafe int BreakLineWidth [get, set]
 Returns or sets the break line width. More...
 
unsafe int Color [get, set]
 Returns or sets the color of the retained NXOpen.Annotations.Annotation objects. More...
 
unsafe bool CustomSymbolSmashToSketch [get, set]
 Returns or sets the custom symbol smash behavior. More...
 
unsafe bool DelayUpdateOnCreation [get, set]
 Returns or sets the flag indicating whether the newly created views should update immediately even when the view update is delayed. More...
 
unsafe bool DelayViewUpdate [get, set]
 Returns or sets the flag indicating whether to delay update of the drafting views during system initiated drawing updates More...
 
unsafe string Delimiter [get, set]
 Returns or sets the delimiter More...
 
unsafe bool DisplayBorders [get, set]
 Returns or sets the flag indicating whether to display borders around drafting views, when selected More...
 
unsafe bool EnableSmoothEdgesForLWView [get, set]
 Returns or sets the flat indicating whether the smart lightweight views should show the smooth edges or render them as normal curves More...
 
unsafe
NXOpen.Preferences.PartDrafting.FontType 
Font [get, set]
 Returns or sets the line font of the retained NXOpen.Annotations.Annotation objects More...
 
unsafe int FrameBarPrecision [get, set]
 Returns or sets the frame bar precision. More...
 
unsafe int FrameBarTicDirection [get, set]
 Returns or sets the frame bar tic direction. More...
 
unsafe string InitialSecondaryNumber [get, set]
 Returns or sets the initial secondary number More...
 
unsafe string InitialSheetNumber [get, set]
 Returns or sets the initial sheet number More...
 
unsafe bool LineAntialiasing [get, set]
 Returns or sets the flag indicating whether to display drawing using line antialiasing. More...
 
unsafe int MinimumComponentsForLargeAssemblyOption [get, set]
 Returns or sets the minimum number of components for large assembly option to get enabled More...
 
unsafe bool PropagateBreakLines [get, set]
 Returns or sets the propagation of view break. More...
 
unsafe bool RetainAnnotations [get, set]
 Returns or sets the flag indicating whether to retain NXOpen.Annotations.Annotation objects when the geometry they are attached to is deleted. More...
 
unsafe bool ShowFacetEdges [get, set]
 Returns or sets the flag indicating whether to display facet edges in shaded member views. More...
 
Tag Tag [get]
 Returns the tag of this object. More...
 
unsafe bool Translucency [get, set]
 Returns or sets the flag indicating whether to display solids in shaded member views with translucency. More...
 
unsafe
NXOpen.Preferences.PartDrafting.UpdateViewWithoutLwDataOption 
UpdateViewWithoutLwData [get, set]
 Returns or sets the option specifying the action when missing, incomplete or invalid lightweight bodies are found during view create or update More...
 
unsafe bool VersionObjects [get, set]
 Returns or sets the drafting version objects setting when updating drafting objects and member views More...
 
unsafe
NXOpen.Preferences.PartDrafting.ViewStyleType 
ViewStyle [get, set]
 Returns or sets the drafting view style type for preview when placing the view More...
 
unsafe bool ViewTracking [get, set]
 Returns or sets the flag indicating whether to track a drafting view during preview when placing the view. More...
 
unsafe
NXOpen.Preferences.PartDrafting.WidthType 
Width [get, set]
 Returns or sets the line width of the retained NXOpen.Annotations.Annotation objects More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 
- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Detailed Description

Represents the set of drafting preferences applicable to part

To obtain an instance of this class, refer to NXOpen.Preferences.PartPreferences

Created in NX3.0.0

Member Enumeration Documentation

Describes the available break line style

Enumerator
Existing 

Existing Curve

Simple 

Simple

Straight 

Straight

Sawtooth 

Sawtooth

LongBreak 

LongBreak

Tubular 

Tubular

SolidTubular 

Solid Tubular

SolidRod 

Solid Rod

Jigsaw 

Jigsaw

Wood 

Wood

Describes the available font types

Enumerator
Original 

Original

Invisible 

Invisible

Solid 

Solid

Dashed 

Dashed

Phantom 

Phantom

Centerline 

CenterLine

Dotted 

Dotted

LongDashed 

Long Dashed

DottedDashed 

Dotted Dashed

Describes the update view without light weight data options

Enumerator
Ignore 

Ignore

Notify 

Notify

DoNotNotify 

Do Not Notify

Generate 

Generate

Describes the available view style types for preview

Enumerator
Border 

Border

Wireframe 

Wireframe

HiddenWireframe 

Hidden Wireframe

Shaded 

Shaded

Describes the available width types

Enumerator
Original 

Original

Thin 

Thin

Normal 

Normal

Thick 

Thick

ThicknessOne 

Width One

ThicknessTwo 

Width Two

ThicknessThree 

Width Three

ThicknessFour 

Width Four

ThicknessFive 

Width Five

ThicknessSix 

Width Six

ThicknessSeven 

Width Seven

ThicknessEight 

Width Eight

ThicknessNine 

Width Nine

Property Documentation

unsafe NXOpen.NXColor NXOpen.Preferences.PartDrafting.ActiveViewColor
getset

Returns or sets the drafting active view color.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartDrafting.AssociativeAlignment
getset

Returns or sets the flag indicating whether to associatively align the view when placing it

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Preferences.PartDrafting.BorderColor
getset

Returns or sets the drafting view border color.

The value should be between 1 and 216.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Preferences.PartDrafting.BreakLineAmplitude
getset

Returns or sets the break line amplitude.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.NXColor NXOpen.Preferences.PartDrafting.BreakLineColor
getset

Returns or sets the break line color.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Preferences.PartDrafting.BreakLineExtension
getset

Returns or sets

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Preferences.PartDrafting.BreakLineGap
getset

Returns or sets the break line gap.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartDrafting.BreakLinesVisibility
getset

Returns or sets the break lines visibility.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.PartDrafting.BreakLineStyle NXOpen.Preferences.PartDrafting.BreakLineType
getset

Returns or sets the break line type.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Preferences.PartDrafting.BreakLineWidth
getset

Returns or sets the break line width.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Preferences.PartDrafting.Color
getset

Returns or sets the color of the retained NXOpen.Annotations.Annotation objects.

The value should be between 1 and 216.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartDrafting.CustomSymbolSmashToSketch
getset

Returns or sets the custom symbol smash behavior.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_layout ("NX Layout")

unsafe bool NXOpen.Preferences.PartDrafting.DelayUpdateOnCreation
getset

Returns or sets the flag indicating whether the newly created views should update immediately even when the view update is delayed.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartDrafting.DelayViewUpdate
getset

Returns or sets the flag indicating whether to delay update of the drafting views during system initiated drawing updates

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Preferences.PartDrafting.Delimiter
getset

Returns or sets the delimiter

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartDrafting.DisplayBorders
getset

Returns or sets the flag indicating whether to display borders around drafting views, when selected

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartDrafting.EnableSmoothEdgesForLWView
getset

Returns or sets the flat indicating whether the smart lightweight views should show the smooth edges or render them as normal curves

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.PartDrafting.FontType NXOpen.Preferences.PartDrafting.Font
getset

Returns or sets the line font of the retained NXOpen.Annotations.Annotation objects

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Preferences.PartDrafting.FrameBarPrecision
getset

Returns or sets the frame bar precision.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Preferences.PartDrafting.FrameBarTicDirection
getset

Returns or sets the frame bar tic direction.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Preferences.PartDrafting.InitialSecondaryNumber
getset

Returns or sets the initial secondary number

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Preferences.PartDrafting.InitialSheetNumber
getset

Returns or sets the initial sheet number

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartDrafting.LineAntialiasing
getset

Returns or sets the flag indicating whether to display drawing using line antialiasing.

Created in NX5.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Preferences.PartDrafting.MinimumComponentsForLargeAssemblyOption
getset

Returns or sets the minimum number of components for large assembly option to get enabled

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartDrafting.PropagateBreakLines
getset

Returns or sets the propagation of view break.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartDrafting.RetainAnnotations
getset

Returns or sets the flag indicating whether to retain NXOpen.Annotations.Annotation objects when the geometry they are attached to is deleted.

When false, the NXOpen.Annotations.Annotation objects get deleted with the geometry.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartDrafting.ShowFacetEdges
getset

Returns or sets the flag indicating whether to display facet edges in shaded member views.

Created in NX5.0.1

License requirements to get this property: None.

License requirements to set this property: None.

Tag NXOpen.Preferences.PartDrafting.Tag
get

Returns the tag of this object.

unsafe bool NXOpen.Preferences.PartDrafting.Translucency
getset

Returns or sets the flag indicating whether to display solids in shaded member views with translucency.

Created in NX5.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.PartDrafting.UpdateViewWithoutLwDataOption NXOpen.Preferences.PartDrafting.UpdateViewWithoutLwData
getset

Returns or sets the option specifying the action when missing, incomplete or invalid lightweight bodies are found during view create or update

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartDrafting.VersionObjects
getset

Returns or sets the drafting version objects setting when updating drafting objects and member views

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.PartDrafting.ViewStyleType NXOpen.Preferences.PartDrafting.ViewStyle
getset

Returns or sets the drafting view style type for preview when placing the view

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.PartDrafting.ViewTracking
getset

Returns or sets the flag indicating whether to track a drafting view during preview when placing the view.

The cursor is tracked using XC/YC coordinates.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.PartDrafting.WidthType NXOpen.Preferences.PartDrafting.Width
getset

Returns or sets the line width of the retained NXOpen.Annotations.Annotation objects

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.